<?php

namespace Assetdocs\Manufacturer\Repositories\Eloquent;

use Assetdocs\Manufacturer\Interfaces\ManufacturerRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ManufacturerRepository extends BaseRepository implements ManufacturerRepositoryInterface
{
    /**
     * Booting the repository.
     *
     * @return null
     */
    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        $this->fieldSearchable = config('package.manufacturer.manufacturer.search');
        return config('package.manufacturer.manufacturer.model');
    }
}
